import { Component, EventEmitter, Input, OnInit, Output } from '@angular/core';
import { Product } from '../product.model';

@Component({
  selector: 'app-products-list',
  templateUrl: './products-list.component.html',
  styleUrls: ['./products-list.component.css']
})
export class ProductsListComponent implements OnInit {
@Input() productsList: Product[];
@Output() onProductSelected: EventEmitter<Product>;

private currentProduct: Product; // clicked current Product Object add a border to the view of the current Product

  constructor() { 

    this.onProductSelected = new EventEmitter();

  }

  clicked(product: Product): void {
    // sets current product
    this.currentProduct = product;
    // emits the event with current product
    this.onProductSelected.emit(product);
  } // clicked

  isSelected(product: Product): boolean {

    if ( !product || !this.currentProduct )   {
      return false;
    } //if
    return product.sku === this.currentProduct.sku;
  }



  ngOnInit(): void {
  }

}
